import { r as registerInstance, h } from './index-acdc1ac0.js';

const DvnFieldDisplayBoolean = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.meta = {};
  }
  render() {
    const { field } = this;
    let value = this.value || false;
    return (h("dvn-checkbox", { id: field.id, disabled: true, value: field.id, checked: value }));
  }
};

export { DvnFieldDisplayBoolean as dvn_field_display_boolean };
